GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
byte_buffer.c File Reference
`#include <grpc/byte_buffer.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`

## Functions
grpc_byte_buffer * | grpc_raw_byte_buffer_create (gpr_slice *slices, size_t nslices)
| Returns a RAW byte buffer instance over the given slices (up to nslices). More...
grpc_byte_buffer * | grpc_raw_compressed_byte_buffer_create (gpr_slice *slices, size_t nslices, grpc_compression_algorithm compression)
| Returns a compressed RAW byte buffer instance over the given slices (up to nslices). More...
grpc_byte_buffer * | grpc_raw_byte_buffer_from_reader (grpc_byte_buffer_reader *reader)
| Returns a RAW byte buffer instance from the output of reader. More...
grpc_byte_buffer * | grpc_byte_buffer_copy (grpc_byte_buffer *bb)
| Copies input byte buffer bb. More...
void | grpc_byte_buffer_destroy (grpc_byte_buffer *bb)
| Destroys byte_buffer deallocating all its memory. More...
size_t | grpc_byte_buffer_length (grpc_byte_buffer *bb)
| Returns the size of the given byte buffer, in bytes. More...

## Function Documentation

grpc_byte_buffer* grpc_byte_buffer_copy | ( | grpc_byte_buffer * | bb | ) |

Copies input byte buffer bb.

Increases the reference count of all the source slices. The user is responsible for calling grpc_byte_buffer_destroy over the returned copy.

void grpc_byte_buffer_destroy | ( | grpc_byte_buffer * | byte_buffer | ) |

Destroys byte_buffer deallocating all its memory.

size_t grpc_byte_buffer_length | ( | grpc_byte_buffer * | bb | ) |

Returns the size of the given byte buffer, in bytes.

grpc_byte_buffer* grpc_raw_byte_buffer_create | ( | gpr_slice * | slices,
|  | size_t | nslices
| ) |  |

Returns a RAW byte buffer instance over the given slices (up to nslices).

Increases the reference count for all slices processed. The user is responsible for invoking grpc_byte_buffer_destroy on the returned instance.

grpc_byte_buffer* grpc_raw_byte_buffer_from_reader | ( | grpc_byte_buffer_reader * | reader | ) |

Returns a RAW byte buffer instance from the output of reader.

grpc_byte_buffer* grpc_raw_compressed_byte_buffer_create | ( | gpr_slice * | slices,
|  | size_t | nslices,
|  | grpc_compression_algorithm | compression
| ) |  |

Returns a compressed RAW byte buffer instance over the given slices (up to nslices).

The compression argument defines the compression algorithm used to generate the data in slices.

Increases the reference count for all slices processed. The user is responsible for invoking grpc_byte_buffer_destroy on the returned instance.